<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Getting Started with JavaScript</title>
</head>
<body>

  <p id="demo"></p>

  <script>
    //Break and Continue............

    // for(i=0; i<=10; i++)
    // {
    //     if(i == 7)
    //     {
    //         break;
    //     }
    //     document.write(i + "<br>");
    // }

    // for(i=0; i<=10; i++)
    // {
    //     if(i == 7)
    //     {
    //         continue;
    //     }
    //     document.write(i + "<br>");
    // }

    //Functions...............
    //How to Create and Call Function....

    // function userName()
    // {
    //     document.write("Kamal");
    // }
    // userName();

    // function userName(name)
    // {
    //     document.write(name);
    // }
    // userName("Kamal");

    // function userName(firstName, lastName, rollNo)
    // {
    //     document.write(firstName + " " + lastName + " " + rollNo);
    // }
    // userName("Kamal", "jimiwal", 112);

    // function userName(a,b,c)
    // {
    //     document.write(a + " " + b + " " + c);
    // }
    // userName("Kamal", "jimiwal");

    // function userName(a,b)
    // {
    //     document.write(arguments[0]);
    //     document.write(arguments[1]);
    // }
    // userName("Kamal", "jimiwal");

    // function userName(a,b)
    // {
    //     arguments[0] = "Sumit";
    //     document.write(arguments[0]);
    //     document.write(arguments[1]);
    // }
    // userName("Kamal", "jimiwal");

    // function userName(a,b)
    // {
    //     document.write(arguments.length);
    // }
    // userName("Kamal", "jimiwal");

    // function userName(a,b)
    // {
    //     var i = arguments.length
    //     document.write(i);
    // }
    // userName("Kamal", "jimiwal");

    // function userName()
    // {
    //     for(var i = 0; i < arguments.length; i++)
    //     document.write(arguments[i] + "<br>");
    // }
    // userName("Name1", "Name2", "Name3", "Name4");

    // function userName(a,b)
    // {
    //     document.write(arguments.callee);
    // }
    // userName("Kamal", "jimiwal");

    // function add(a,b,c)
    // {
    //     document.write("A: " + a + " B: " + b + " C: " + arguments[2])
    // }
    // add(10,20,30)

    // function add(a,b = 20, c= "30")
    // {
    //     document.write("A: " + a + " B: " + b + " C: " + c)
    // }
    // add(10+1)

    // function add(a,b = 20, c= "30")
    // {
    //     var a = arguments.length + 10
    //     document.write("A: " + a + " B: " + b + " C: " + c)
    // }
    // add()

    // function add(a,b = 20, c = ["kamal", "Jimiwal"])
    // {
    //     var a = arguments.length + 10
    //     document.write("A: " + a + " B: " + b + " C: " + c[0] + c[1])
    // }
    // add(10,20,[30, 40])

    // function numbers(a, ...nums){
    //     document.write(a + "<br>")
    //     document.write(nums)
    // }
    // numbers(10,20,30,40,50)

    // function numbers(a, ...nums){
    //     document.write(a + "<br>")
    //     document.write(nums[3])
    // }
    // numbers(10,20,30,40,50)

    // function numbers(a, ...nums){
    //     document.write(a + "<br>")
    //     document.write(nums[0])
    // }
    // numbers(10,20,30,40,50)

    // function numbers(a){
    //     document.write(a + "<br>");
    //     document.write(arguments[0]);
    // }
    // numbers(10,20,30,40,50)

  </script>
</body>
</html>

